%define majver %(echo %version | cut -d. -f1-2)
Name:          NetworkManager-vpnc
Version:       1.2.6
Release:       2mamba
Summary:       NetworkManager plugin for CISCO VPN clients
Group:         Network/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
Source:        http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-vpnc/%{majver}/NetworkManager-vpnc-%{version}.tar.xz
Patch0:        %{name}-1.2.6-dbus_policy.patch
Patch1:        NetworkManager-vpnc-0.9.6.0-gtk-3.6.patch
Patch2:        NetworkManager-vpnc-1.2.6-libnm-1.22.2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libatk-devel
BuildRequires: libblkid-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libffi-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcr-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk-devel
BuildRequires: libgudev-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libmount-devel
BuildRequires: libnm-devel
BuildRequires: libnm-gtk-devel
BuildRequires: libp11-kit-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libsecret-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libuuid-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libnm-devel >= 1.22.2
Requires:      vpnc
Provides:      networkmanagervpnplugin
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
NetworkManager plugin for CISCO VPN clients.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
%patch2 -p1

autoreconf -f -i

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
#%{_sysconfdir}/NetworkManager/VPN/nm-vpnc-service.name
%{_sysconfdir}/dbus-1/system.d/nm-vpnc-service.conf
%{_prefix}/lib/NetworkManager/VPN/nm-vpnc-service.name
#%{_libdir}/NetworkManager/libnm-vpnc-properties.a
#%{_libdir}/NetworkManager/libnm-vpnc-properties.la
#%{_libdir}/NetworkManager/libnm-vpnc-properties.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc-editor.a
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc-editor.la
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc-editor.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc.a
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc.la
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc.so
%{_libexecdir}/nm-vpnc-auth-dialog
%{_libexecdir}/nm-vpnc-service
%{_libexecdir}/nm-vpnc-service-vpnc-helper
%{_datadir}/appdata/network-manager-vpnc.metainfo.xml
%{_datadir}/gnome-vpn-properties/vpnc/nm-vpnc-dialog.ui
%doc AUTHORS COPYING
#ChangeLog NEWS

%changelog
* Fri Jan 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.6-2mamba
- rebuilt with libnm 1.22.2

* Thu Sep 06 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.6-1mamba
- update to 1.2.6

* Thu May 10 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-1mamba
- update to 1.2.4

* Sun Nov 19 2017 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic update by autodist

* Mon Jul 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2

* Wed Jan 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.10.0-1mamba
- update to 0.9.10.0

* Sun Sep 15 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.6-1mamba
- automatic update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.2-1mamba
- automatic version update by autodist

* Thu Feb 21 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.0-1mamba
- automatic version update by autodist

* Tue Feb 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6.0-2mamba
- added patch to build against libgtk >= 3.6

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6.0-1mamba
- automatic version update by autodist

* Thu May 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4.0-1mamba
- update to 0.9.4.0

* Mon Mar 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2.0-1mamba
- update to 0.9.2.0

* Sat Sep 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- update to 0.8.4

* Tue Jun 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-3mamba
- fixed dbus policy whose patch was not applied

* Fri Jun 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-2mamba
- added virtual provide networkmanagervpnplugin

* Wed Jun 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- package created by autospec
